// $(function() {
// 	//底部调整
// 	var isChrome = navigator.userAgent.toLowerCase().match(/chrome/) != null;
// 	if (!isChrome) {
// 		$(".tpl-page-container .tpl-content-wrapper").addClass("R-wra");
// 		$(".tpl-page-container .tpl-left-nav").addClass("L-tpl");
// 	}
// 	//图片上传js============================================================
// 	// 模态框  右上角的图标叉的添加和事件
// 	$("body").on("click", function() {
// 		var a_2 = "<a class='am-icon-close ngjs-a2' href='javascript: void(0)'  onclick='$(this).prev().click();'></a>";
// 		$(".am-pureview-actions").append(a_2);
// 		$(".ngjs-a2").addClass("ngph-a1");
// 		$(".ngjs-a2").prev().addClass("ngph-a2");
// 	})
// 	//鼠标移入事件  图片
// 	$('.am-no-layout').on('mouseover', 'li', function() {
// 		$(this).find('.ty-button').show();
// 	})
// 	//鼠标移出事件  图片
// 	$('.am-no-layout').on('mouseout', 'li', function() {
// 		$(this).find('.ty-button').hide();
// 	});
// 	//查看图片按钮
// 	$('body').on('click', '.btn-search', function() {
// 		$(this).parents('li').find('img').click();
// 	})
// 	// 点击上传图片按钮时，初始化模态框中的img
// 	$("#qrcodeUpload,#thumbnail,.addimg-js").on("click",function(){
// 		$("#finalImg").attr("src","");
// 		$("#true.am-modal-btn").addClass("true_active");
// 	})
// 	//  图片上传js============================================================
// 	var picture_path = ''
// 	var pic_ul = ''
// 	var picture_li = ''
// 	var btn = ''
// 	var thumbnail = 0
// 	//模态框点击事件
// 	$('body').on('click', '.btn-add,.btn-update,.btn-remove', function() {
// 		picture_li = $(this).parents('li')
// 		pic_ul = $(this).prev()
// 		btn = $(this).data('btn');
// 		switch (btn) {
// 			case 'remove':
// 				var parents = $(this).parents('li');
// 				var bool = confirm('确定要删除该图片吗？');
// 				if (bool) {
// 					parents.remove();
// 					$("#qrcodeUpload").show();
// 					if (btn == 'remove2') {
// 						pic_ul.next().show();
// 					}
// 				}
// 				break;
// 			case 'remove2':
// 				var parents = $(this).parents('li');
// 				var bool = confirm('确定要删除该图片吗？');
// 				if (bool) {
// 					parents.remove();
// 					$('#thumbnail').show();
// 				}
// 				break;
// 			default:
// 				$('#imgInFo')[0].reset();
// 				switch (btn) {
// 					case 'update':
// 						$('.modal .am-modal-hd').text('更新图片信息');
// 						thumbnail = 0;
// 						break;
// 					case 'add':
// 						$('.modal .am-modal-hd').text('图片上传管理');
// 						thumbnail = 0;
// 						break;
// 					case 'add2':
// 						$('.modal .am-modal-hd').text('图片上传管理');
// 						thumbnail = 1;
// 						break;
// 					case 'update2':
// 						$('.modal .am-modal-hd').text('更新图片信息');
// 						thumbnail = 1;
// 						break;
// 				}
// 				if (btn == 'update' || btn == 'update2') {
// 					var values = $(this).parents('li').find('input')
// 					picture_path = values.eq(0).val()
// 					$('#finalImg').attr('src', values.eq(0).val())
// 				}
// 				$('.modal').modal({
// 					relatedElement: this,
// 					onConfirm: function() {
// 						if (btn == 'add2') {
// 							var name = 'thumbnail'
// 							var data_btn = '2'
// 							if($("#finalImg").attr("src") != ""){
// 								pic_ul.next().hide();
//                             }
// 						} else {
// 							var name = 'picture'
// 							var data_btn = ''
// 						}
// 						var picture = '<li style="float: left; position: relative">' + '<div class="tpl-table-images-content-i-info absolute-middle">\n' + '<button type="button" class="other-btn1 btn1 btnsty am-btn-circle am-btn am-btn-success am-margin-horizontal btn-update ty-button" data-btn="update' + data_btn + '"><span class="square1"><i class="am-icon-pencil-square-o"></i>&nbsp;修改</span></button>' + '<button type="button" class="other-btn2 btnsty am-btn-circle am-btn am-btn-danger am-margin-horizontal btn-remove ty-button" data-btn="remove' + data_btn + '"><span class="remoe1"><i class="am-icon-remove ngsty-rem"></i>&nbsp;删除</span></button>' + '<button type="button" class="other-btn2 btnsty am-btn-circle am-btn am-btn-secondary am-margin-horizontal btn-search ty-button" data-btn="search"><span class="search1"><i class="am-icon-search ngsty-rem"></i>&nbsp;查看</span></button>' + '</div>' + '<img src="' + picture_path + '" height="120px" alt="">' + '<input type="hidden" name="' + name + '" value="' + picture_path + '"/>' + '</li>'
// 						$("#qrcodeUpload").hide();
// 						if (btn == 'update') {
// 							picture_li.replaceWith(picture);
// 						} else {
// 							if($("#finalImg").attr("src") != ""){
// 								pic_ul.append(picture);
//                             }else{
//                                 confirm("请选择图片");
//                             }
// 							// 图片位置计算
// 							img_position("ngar-uljs","ngar-Yjs");
// 						}
// 					}
// 				})
// 				break;
// 		}
// 	})
// 	//===========================
// 	//  在上传图片的弹出窗口,点击非图片区域,就隐藏窗口
// 	// ==========================
// 	$(".ngad-Jsj-click").on("click", function() {
// 		closeTailor(this);
// 	});
// 	$(".ngad-Ksj-change").on("change", function() {
// 		selectImg(this);
// 	});
// 	$(".ngad-Usj-click").on("click", function() {
// 		closeTailor(this);
// 	});
// 	// 图片上传
// 	function imgChange(e1, e2) {
// 		e1.change(function() {
// 			$filePath = URL.createObjectURL(this.files[0]);
// 			$('#ngac_Nfu_box').find('img').attr('src', $filePath); //给此img元素的src重新赋值
// 			$("#ngac_Nfu_box").show(); // 选中图片后， 显示此box
// 			var reader = new FileReader();
// 			reader.readAsDataURL(this.files[0]); //读取文件
// 			reader.onload = function(e) { //读取完成回调
// 				imgBase = e.target.result;
// 				e2.val(imgBase);
// 			}
// 		})
// 	}
// 	//原始上传
// 	$('#originalImg').click(function() {
// 		$("#originalChoose").trigger('click');
// 	})
// 	// 上传进度
// 	function progressHandlingFunction(e) {
// 		var curr = e.loaded;
// 		var total = e.total;
// 		var process = Math.floor(curr / total * 100);
// 		$("#loading").show().text((process - 1) + '%');
// 		$("#true.am-modal-btn").addClass("true_active");
// 		$.AMUI.progress.set((process - 1) / 100);
// 	}
// 	$("#originalChoose").change(function() {
// 		$(this)[0].files[0]
// 		var formData = new FormData();
// 		formData.append("file", $(this)[0].files[0]);
// 		formData.append("action", 'upload');
// 		formData.append("dir", 'client_services');
// 		$.ajax({
// 			scriptCharset: 'UTF-8',
// 			type: 'post',
// 			url: '/api/admin_process',
// 			data: formData,
// 			cache: false,
// 			processData: false,
// 			contentType: false,
// 			dataType: 'json',
// 			xhr: function () {
// 				var myXhr = $.ajaxSettings.xhr();
// 				if (myXhr.upload) { //检查upload属性是否存在
// 					//绑定progress事件的回调函数
// 					myXhr.upload.addEventListener('progress', progressHandlingFunction, false);
// 				}
// 				return myXhr; //xhr对象返回给jQuery使用
// 			},
// 		}).success(function(data) {
// 			if(data.state == "FAILURE"){
// 				alert(data.msg)
// 			}else{
// 				$('#finalImg').attr('src', data.url)
// 				picture_path = data.url;
// 				$("#loading").text("100%").hide();
// 						$.AMUI.progress.set(1);
// 						$("#true.am-modal-btn").removeClass("true_active");
// 			}
// 		}).error(function() {
// 			alert("上传失败");
// 		});
// 	})
// 	//图片裁切
// 	function selectImg(file) {
// 		if (!file.files || !file.files[0]) {
// 			return;
// 		}
// 		var reader = new FileReader();
// 		reader.onload = function(evt) {
// 			var replaceSrc = evt.target.result;
// 			$('#tailoringImg').cropper('replace', replaceSrc, false); //默认false，适应高度，不失真
// 		}
// 		reader.readAsDataURL(file.files[0]);
// 	}
// 	//关闭裁剪框
// 	function closeTailor() {
// 		$(".tailoring-container").toggle();
// 	}
// 	//弹出框水平垂直居中
// 	(window.onresize = function() {
// 		var win_height = $(window).height();
// 		var win_width = $(window).width();
// 		if (win_width <= 768) {
// 			$(".tailoring-content").css({
// 				"top": (win_height - $(".tailoring-content").outerHeight()) / 2,
// 				"left": 0
// 			});
// 		} else {
// 			$(".tailoring-content").css({
// 				"top": (win_height - $(".tailoring-content").outerHeight()) / 2,
// 				"left": (win_width - $(".tailoring-content").outerWidth()) / 2
// 			});
// 		}
// 	})();
// 	//弹出图片裁剪框
// 	$("#replaceImg").on("click", function() {
// 		$(".tailoring-container").toggle();
// 	});
// 	//图像上传
// 	//cropper图片裁剪
// 	$('#tailoringImg').cropper({
// 		aspectRatio: 1 / 1, //默认比例
// 		preview: '.previewImg', //预览视图
// 		guides: false, //裁剪框的虚线(九宫格)
// 		autoCropArea: 0.5, //0-1之间的数值，定义自动剪裁区域的大小，默认0.8
// 		movable: false, //是否允许移动图片
// 		dragCrop: true, //是否允许移除当前的剪裁框，并通过拖动来新建一个剪裁框区域
// 		movable: true, //是否允许移动剪裁框
// 		resizable: true, //是否允许改变裁剪框的大小
// 		zoomable: false, //是否允许缩放图片大小
// 		mouseWheelZoom: false, //是否允许通过鼠标滚轮来缩放图片
// 		touchDragZoom: true, //是否允许通过触摸移动来缩放图片
// 		rotatable: true, //是否允许旋转图片
// 		crop: function(e) {
// 			// 输出结果数据裁剪图像。
// 		}
// 	});
// 	//旋转
// 	$(".cropper-rotate-btn").on("click", function() {
// 		$('#tailoringImg').cropper("rotate", 45);
// 	});
// 	//复位
// 	$(".cropper-reset-btn").on("click", function() {
// 		$('#tailoringImg').cropper("reset");
// 	});
// 	//换向
// 	var flagX = true;
// 	$(".cropper-scaleX-btn").on("click", function() {
// 		if (flagX) {
// 			$('#tailoringImg').cropper("scaleX", -1);
// 			flagX = false;
// 		} else {
// 			$('#tailoringImg').cropper("scaleX", 1);
// 			flagX = true;
// 		}
// 		flagX != flagX;
// 	});
// 	//裁剪后的处理
// 	$("#sureCut").on("click", function() {
// 		if ($("#tailoringImg").attr("src") == null) {
// 			return false;
// 		} else {
// 			var cas = $('#tailoringImg').cropper('getCroppedCanvas'); //获取被裁剪后的canvas
// 			cas.toBlob(function(blob_url) {
// 				blob_url.lastModifiedDate = new Date();
// 				blob_url.name = 'picture.png';
// 				var formData = new FormData();
// 				formData.append("file", blob_url, 'picture.png');
// 				formData.append("action", 'upload');
// 				formData.append("dir", 'client_services');
// 				$.ajax({
// 					type: 'post',
// 					url: '/api/admin_process',
// 					data: formData,
// 					cache: false,
// 					processData: false,
// 					contentType: false,
// 					dataType: 'json',
// 					xhr: function () {
// 						var myXhr = $.ajaxSettings.xhr();
// 						if (myXhr.upload) { //检查upload属性是否存在
// 							//绑定progress事件的回调函数
// 							myXhr.upload.addEventListener('progress', progressHandlingFunction, false);
// 						}
// 						return myXhr; //xhr对象返回给jQuery使用
// 					},
// 				}).success(function(data) {
// 					if(data.state == "FAILURE"){
// 						alert(data.msg)
// 					}else{
// 						$('#finalImg').attr('src', data.url)
// 						picture_path = data.url;
// 						$("#loading").text("100%").hide();
// 						$.AMUI.progress.set(1);
// 						$("#true.am-modal-btn").removeClass("true_active");
// 					}
// 				}).error(function() {
// 					alert("上传失败");
// 				});
// 			}); //转换为base64地址形式
// 			//关闭裁剪框
// 			closeTailor();
// 		}
// 	});
// })

$(function () {
	//底部调整
	var isChrome = navigator.userAgent.toLowerCase().match(/chrome/) != null;
	if (!isChrome) {
		$(".tpl-page-container .tpl-content-wrapper").addClass("R-wra");
		$(".tpl-page-container .tpl-left-nav").addClass("L-tpl");
	}
	// 图片上传js
	// 模态框  右上角的图标叉的添加和事件
	$("body").on("click", function () {
		var a_2 = "<a class='am-icon-close ngjs-a2' href='javascript: void(0)'  onclick='$(this).prev().click();'></a>";
		$(".am-pureview-actions").append(a_2);
		$(".ngjs-a2").addClass("ngph-a1");
		$(".ngjs-a2").prev().addClass("ngph-a2");
	})
	//鼠标移入事件  图片
	$('.am-no-layout').on('mouseover', 'li', function () {
		$(this).find('.ty-button').show();
	})
	//鼠标移出事件  图片
	$('.am-no-layout').on('mouseout', 'li', function () {
		$(this).find('.ty-button').hide();
	});
	//查看图片按钮
	$('body').on('click', '.btn-search', function () {
		$(this).parents('li').find('img').click();
	})
	$.fn.datetimepicker.dates['zh-CN'] = {
		days: ["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六", "星期日"],
		daysShort: ["周日", "周一", "周二", "周三", "周四", "周五", "周六", "周日"],
		daysMin: ["日", "一", "二", "三", "四", "五", "六", "日"],
		months: ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"],
		monthsShort: ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二  月"],
		today: "今日",
		suffix: [],
		meridiem: ["上午", "下午"]
	};
	var $dpInput = $('.form-datetime-lang').datetimepicker({
		container: '#dateBox2',
		language: 'zh-CN',
		format: 'yyyy-mm-dd hh:ii:ss'
	});

	var picture_path = ''; // 获取src
	var pic_ul = ''; // 上一个按钮 作用?
	var picture_li = ''; // 每一张图片
	var btn = ''; // 按钮类型
	var thumbnail = 0; // 标记
	// 图片中的修改、删除按钮操作
	// $("body").on("click",".btn-add,.btn-update,.btn-remove",function(){
	// 	picture_li=$(this).parents('li');
	// 	pic_ul = $(this).prev();
	// 	btn = $(this).data('btn');
	// 	switch (btn) {
	// 		case 'remove':
	// 			var bool = confirm('确定要删除该图片吗1？');
	// 			bool ? $(this).parents('li').remove():'';
	// 			break;
	// 		default:
	// 			$('#imgInFo')[0].reset(); // 重置表单
	// 			switch (btn) {
	// 				case 'update':
	// 					$('.modal .am-modal-hd').text('更新图片信息');
	// 					thumbnail = 0;
	// 					break;
	// 			}
	// 			if (btn == 'update'){
	// 				var values = picture_li.find('input');
	// 				picture_path = values.eq(0).val();
	// 				$('#finalImg').attr('src', values.eq(0).val());
	// 			}
	// 			$('#my-confirm').modal({
	// 				relatedTarget: this,
	// 				onConfirm: function(){
	// 					if (type ='candidate'){
	// 						pic_ul.html('<img src="' + picture_path + '" style="height: 40px; width: 40px"/><input type="hidden" name="specipic_" value="' + picture_path + '">')
	// 					}else{
	// 						if (btn == 'add') {
	// 							var name = 'picture[]';
	// 							var data_btn = '';
	// 						}
	// 						var picture = '<li style="float: left; position: relative">' + '<div class="tpl-table-images-content-i-info absolute-middle">\n' + '<button type="button" class="other-btn1 btn1 btnsty am-btn-circle am-btn am-btn-success am-margin-horizontal btn-update ty-button" data-btn="update' + data_btn + '"><span class="square1"><i class="am-icon-pencil-square-o"></i>&nbsp;修改</span></button>' + '<button type="button" class="other-btn2 btnsty am-btn-circle am-btn am-btn-danger am-margin-horizontal btn-remove ty-button" data-btn="remove' + data_btn + '"><span class="remoe1"><i class="am-icon-remove ngsty-rem"></i>&nbsp;删除</span></button>' + '<button type="button" class="other-btn2 btnsty am-btn-circle am-btn am-btn-secondary am-margin-horizontal btn-search ty-button" data-btn="search"><span class="search1"><i class="am-icon-search ngsty-rem"></i>&nbsp;查看</span></button>' + '</div>' + '<img src="' + picture_path + '" height="150px" alt="">' + '<input type="hidden" name="' + name + '" value="' + picture_path + '"/>' + '</li>'
	// 						if (btn != 'update'){
	// 							if ($("#finalImg").attr("src") != "") {
	// 								pic_ul.append(picture);
	// 							}
	// 						}
	// 					}
	// 				}
	// 			})
	// 			break;
	// 	}
	// })

	// 模态框点击事件
	$('body').on('click', '.btn-add,.btn-update,.btn-remove', function () {
		picture_li = $(this).parents('li');
		pic_ul = $(this).prev()
		btn = $(this).data('btn');
		var this_=$(this);
		switch (btn) {
			case 'remove':
				var parents = $(this).parents('li');
				var bool = confirm('确定要删除该图片吗？');
				if (bool) {
					parents.remove();
					if (btn == 'remove2') {
						pic_ul.next().show();
					}
				}
				break;
			case 'remove2':
				var parents = $(this).parents('li');
				var bool = confirm('确定要删除该图片吗？');
				if (bool) {
					parents.remove();
					$('#thumbnail').show();
				}
				break;
			default:
				$('#imgInFo')[0].reset();
				switch (btn) {
					case 'update':
						$('.modal .am-modal-hd').text('更新图片信息');
						thumbnail = 0;
						break;
					case 'add':
						$('.modal .am-modal-hd').text('图片上传管理');
						thumbnail = 0;
						break;
					case 'add2':
						$('.modal .am-modal-hd').text('图片上传管理');
						thumbnail = 1;
						break;
					case 'update2':
						$('.modal .am-modal-hd').text('更新图片信息');
						thumbnail = 1;
						break;
				}
				if (btn == 'update' || btn == 'update2') {
					var values = $(this).parents('li').find('input')
					picture_path = values.eq(0).val()
					$('#finalImg').attr('src', values.eq(0).val())
				}
				$('.modal').modal({
					relatedElement: this,
					onConfirm: function () {
						if (btn == 'candidate') {
							pic_ul.html('<img src="' + picture_path + '" style="height: 40px; width: 40px"/><input type="hidden" name="specipic_img" value="' + picture_path + '"><button type="button" class="btn1 btnsty am-btn-circle am-btn am-btn-success am-margin-horizontal btn-update ty-button" data-btn="update"><i class="am-icon-pencil-square-o"></i>&nbsp;修改</button>')
							this_.parents("#qrcodeUpload[data-btn='candidate']").remove();
						} else {

							if (btn == 'add2') {
								var name = 'thumbnail'
								var data_btn = '2'
								if ($("#finalImg").attr("src") != "") {
									pic_ul.next().hide();
								}
							} else {
								var name = 'picture[]'
								var data_btn = ''
							}
							var picture = '<li style="float: left; position: relative">' + '<div class="tpl-table-images-content-i-info absolute-middle">\n' + '<button type="button" class="other-btn1 btn1 btnsty am-btn-circle am-btn am-btn-success am-margin-horizontal btn-update ty-button" data-btn="update' + data_btn + '"><span class="square1"><i class="am-icon-pencil-square-o"></i>&nbsp;修改</span></button>' + '<button type="button" class="other-btn2 btnsty am-btn-circle am-btn am-btn-danger am-margin-horizontal btn-remove ty-button" data-btn="remove' + data_btn + '"><span class="remoe1"><i class="am-icon-remove ngsty-rem"></i>&nbsp;删除</span></button>' + '<button type="button" class="other-btn2 btnsty am-btn-circle am-btn am-btn-secondary am-margin-horizontal btn-search ty-button" data-btn="search"><span class="search1"><i class="am-icon-search ngsty-rem"></i>&nbsp;查看</span></button>' + '</div>' + '<img src="' + picture_path + '" height="150px" alt="">' + '<input type="hidden" name="' + name + '" value="' + picture_path + '"/>' + '</li>'
							if (btn == 'update') {
								picture_li.replaceWith(picture);
							} else {
								if ($("#finalImg").attr("src") != "") {
									pic_ul.append(picture);
								}
							}
						}

					}
				})
				break;
		}
	})

	// 在上传图片的弹出窗口, 点击非图片区域, 就隐藏窗口
	$(".ngad-Jsj-click").on("click", function () {
		closeTailor(this);
	});
	$(".ngad-Ksj-change").on("change", function () {
		selectImg(this);
	});
	$(".ngad-Usj-click").on("click", function () {
		closeTailor(this);
	});

	//原始上传
	$('#originalImg').click(function () {
		$("#originalChoose").trigger('click');
		// $.AMUI.progress.start();
	})

	$("#originalChoose").change(function () {
		$(this)[0].files[0]
		var formData = new FormData();
		formData.append("file", $(this)[0].files[0]);
		formData.append("action", 'upload');
		formData.append("dir", 'vote_sys');
		if (thumbnail == 1) {
			formData.append("type", 'thumbnail');
			if ($('#data_id').val() != 0) {
				formData.append("filename", 'product_thumbnail_' + $('#data_id').val());
			}
		}
		$.ajax({
			scriptCharset: 'UTF-8',
			type: 'post',
			url: '/api/admin_process',
			data: formData,
			cache: false,
			processData: false,
			contentType: false,
			dataType: 'json',
			xhr: function () {
				var myXhr = $.ajaxSettings.xhr();
				if (myXhr.upload) { //检查upload属性是否存在
					//绑定progress事件的回调函数
					myXhr.upload.addEventListener('progress', progressHandlingFunction, false);
				}
				return myXhr; //xhr对象返回给jQuery使用
			},
		}).success(function (data) {
			if (data.state == "FAILURE") {
				alert(data.msg)
			} else {
				$('#finalImg').attr('src', data.url)
				picture_path = data.url;
				$("#loading").text("100%").hide();
				$.AMUI.progress.set(1);
				$("#true.am-modal-btn").removeClass("true_active");
			}
		}).error(function () {
			alert("上传失败");
		});
	})

	// 上传进度
	function progressHandlingFunction(e) {
		var curr = e.loaded;
		var total = e.total;
		var process = Math.floor(curr / total * 100);
		$("#loading").show().text((process - 1) + '%');
		$("#true.am-modal-btn").addClass("true_active");
		$.AMUI.progress.set((process - 1) / 100);
	}

	//图片裁切
	function selectImg(file) {
		if (!file.files || !file.files[0]) {
			return;
		}
		var reader = new FileReader();
		reader.onload = function (evt) {
			var replaceSrc = evt.target.result;
			//更换cropper的图片
			$('#tailoringImg').cropper('replace', replaceSrc, false); //默认false，适应高度，不失真
		}
		reader.readAsDataURL(file.files[0]);
	}
	//关闭裁剪框
	function closeTailor() {
		$(".tailoring-container").toggle();
	}
	//弹出框水平垂直居中
	(window.onresize = function () {
		var win_height = $(window).height();
		var win_width = $(window).width();
		if (win_width <= 768) {
			$(".tailoring-content").css({
				"top": (win_height - $(".tailoring-content").outerHeight()) / 2,
				"left": 0
			});
		} else {
			$(".tailoring-content").css({
				"top": (win_height - $(".tailoring-content").outerHeight()) / 2,
				"left": (win_width - $(".tailoring-content").outerWidth()) / 2
			});
		}
	})();
	//弹出图片裁剪框
	$("#replaceImg").on("click", function () {
		$(".tailoring-container").toggle();
	});
	//图像上传
	//cropper图片裁剪
	$('#tailoringImg').cropper({
		aspectRatio: 1 / 1, //默认比例
		preview: '.previewImg', //预览视图
		guides: false, //裁剪框的虚线(九宫格)
		autoCropArea: 0.5, //0-1之间的数值，定义自动剪裁区域的大小，默认0.8
		movable: false, //是否允许移动图片
		dragCrop: true, //是否允许移除当前的剪裁框，并通过拖动来新建一个剪裁框区域
		movable: true, //是否允许移动剪裁框
		resizable: true, //是否允许改变裁剪框的大小
		zoomable: false, //是否允许缩放图片大小
		mouseWheelZoom: false, //是否允许通过鼠标滚轮来缩放图片
		touchDragZoom: true, //是否允许通过触摸移动来缩放图片
		rotatable: true, //是否允许旋转图片
		crop: function (e) {
			// 输出结果数据裁剪图像。
		}
	});
	//旋转
	$(".cropper-rotate-btn").on("click", function () {
		$('#tailoringImg').cropper("rotate", 45);
	});
	//复位
	$(".cropper-reset-btn").on("click", function () {
		$('#tailoringImg').cropper("reset");
	});
	//换向
	var flagX = true;
	$(".cropper-scaleX-btn").on("click", function () {
		if (flagX) {
			$('#tailoringImg').cropper("scaleX", -1);
			flagX = false;
		} else {
			$('#tailoringImg').cropper("scaleX", 1);
			flagX = true;
		}
		flagX != flagX;
	});

	//裁剪后的处理
	$("#sureCut").on("click", function () {
		if ($("#tailoringImg").attr("src") == null) {
			return false;
		} else {
			var cas = $('#tailoringImg').cropper('getCroppedCanvas'); //获取被裁剪后的canvas
			cas.toBlob(function (blob_url) {
				blob_url.lastModifiedDate = new Date();
				blob_url.name = 'picture.png';
				var formData = new FormData();
				formData.append("file", blob_url, 'picture.png');
				formData.append("action", 'upload');
				formData.append("dir", 'product');
				if (thumbnail == 1) {
					formData.append("type", 'thumbnail');
					if ($('#data_id').val() != 0) {
						formData.append("filename", 'product_thumbnail_' + $('#data_id').val());
					}
				}
				$.ajax({
					type: 'post',
					url: '/api/admin_process',
					data: formData,
					cache: false,
					processData: false,
					contentType: false,
					dataType: 'json',
					xhr: function () {
						var myXhr = $.ajaxSettings.xhr();
						if (myXhr.upload) { //检查upload属性是否存在
							//绑定progress事件的回调函数
							myXhr.upload.addEventListener('progress', progressHandlingFunction, false);
						}
						return myXhr; //xhr对象返回给jQuery使用
					},
				}).success(function (data) {
					if (data.state == "FAILURE") {
						alert(data.msg)
					} else {
						$('#finalImg').attr('src', data.url)
						picture_path = data.url;
						$("#loading").text("100%").hide();
						$.AMUI.progress.set(1);
						$("#true.am-modal-btn").removeClass("true_active");
					}
				}).error(function () {
					alert("上传失败");
				});
			}); //转换为base64地址形式
			//关闭裁剪框
			closeTailor();
		}
	});
	// 图片里的按钮
	$('.am-no-layout').on('mouseover', 'li', function () {
		$(this).find('.ty-button').show()
	})
	$('.am-no-layout').on('mouseout', 'li', function () {
		$(this).find('.ty-button').hide()
	})

	$('.ty-units li').click(function () {
		var value = $(this).attr('data-value');
		$("#Units").val(value);
	})
	// 点击上传图片按钮时，初始化模态框中的img
	$("body").on("click", "#qrcodeUpload,#thumbnail", function () {
		$("#finalImg").attr("src", "");
		$("#true.am-modal-btn").addClass("true_active");
	})
	// 图片上传js end
})